> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sms

> Update SMS Draft

Update the body of a draft SMS message. The SMS must be in DRAFT status.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json patch /v2/sms-threads/messages/{sms_id}
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/sms-threads/messages/{sms_id}:
    patch:
      tags:
        - sms-threads
      summary: Update Sms
      description: |-
        Update SMS Draft

        Update the body of a draft SMS message. The SMS must be in DRAFT status.
      operationId: PatchSmsThreadsMessagesSmsId
      parameters:
        - name: sms_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSMSRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMS'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSMSRequest:
      properties:
        body:
          type: string
          title: ''
          description: Updated SMS body text
      type: object
      required:
        - body
      title: UpdateSMSRequest
      description: Request body for updating an SMS draft body.
    SMS:
      properties:
        created_at:
          type: string
          format: date-time
          title: ''
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        id:
          type: string
          title: ''
        sms_thread_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        body:
          type: string
          title: ''
          description: The message content
        classifications:
          items:
            $ref: '#/components/schemas/InteractionClassification'
          type: array
          title: ''
        direction:
          $ref: '#/components/schemas/SMSDirection'
          title: ''
        from_number:
          type: string
          format: phone
          title: ''
          description: The sending phone number
        to_number:
          type: string
          format: phone
          title: ''
          description: The receiving phone number
        status:
          $ref: '#/components/schemas/SMSStatus'
          title: ''
        is_automated:
          type: boolean
          title: ''
          description: Whether the SMS was automatically sent by a workflow
        sent_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Twilio error message if delivery failed
        object:
          type: string
          title: ''
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          readOnly: true
      type: object
      required:
        - created_at
        - modified_at
        - id
        - sms_thread_id
        - body
        - classifications
        - direction
        - from_number
        - to_number
        - status
        - is_automated
        - sent_at
        - delivered_at
        - error_message
        - object
      title: SMS
      description: SMS message within a thread.
    HTTPValidationError:
      $defs:
        ValidationError:
          properties:
            loc:
              items:
                anyOf:
                  - type: string
                  - type: integer
              title: Location
              type: array
            msg:
              title: Message
              type: string
            type:
              title: Type
              type: string
          required:
            - loc
            - msg
            - type
          title: ValidationError
          type: object
          x-speakeasy-include: true
      properties:
        type:
          const: request-validation
          title: Type
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable description of this specific problem.
          title: Detail
          x-speakeasy-error-message: true
        status:
          const: 422
          title: Status
          type: integer
        title:
          description: Short human-readable summary of the problem.
          title: Title
          type: string
          x-speakeasy-error-message: true
        errors:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Errors
          type: array
      required:
        - type
        - status
        - title
        - errors
      title: APIError
      type: object
    InteractionClassification:
      properties:
        created_at:
          type: string
          format: date-time
          title: ''
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        id:
          type: string
          title: ''
        action_recommendation:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: >-
            Necessary actions that need to be taken in response to this
            interaction
        agent_confidence_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: ''
          description: >-
            The confidence score of the result on a scale of 0-100, where 0
            indicates no confidence in the accuracy of the result and 100
            indicates full confidence in the accuracy of the result.
        agent_metrics:
          anyOf:
            - $ref: '#/components/schemas/AgentMetrics'
            - type: 'null'
          title: ''
        classification:
          $ref: '#/components/schemas/InteractionType'
          title: ''
          description: The type of this interaction
        evidence:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: ''
          description: The text excerpts that led to the classification decision
        is_action_required:
          type: boolean
          title: ''
          description: >-
            Whether an action or actions need to be taken as a result of this
            interaction
        is_reply_required:
          type: boolean
          title: ''
          description: Whether an email needs to be sent as a reply to this interaction
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: >-
            The detected language of the interaction using ISO 639-1 alpha-2
            code.
        reason:
          type: string
          title: ''
          description: The reason for the classifications of the interaction
        object:
          type: string
          title: ''
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          readOnly: true
      type: object
      required:
        - created_at
        - modified_at
        - id
        - action_recommendation
        - agent_confidence_score
        - agent_metrics
        - classification
        - evidence
        - is_action_required
        - is_reply_required
        - language
        - reason
        - object
      title: InteractionClassification
    SMSDirection:
      type: string
      enum:
        - inbound
        - outbound
      title: SMSDirection
    SMSStatus:
      type: string
      enum:
        - draft
        - pending
        - sent
        - delivered
        - failed
        - undelivered
      title: SMSStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Type
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
      x-speakeasy-include: true
    AgentMetrics:
      properties:
        confidence_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Confidence Reason
          description: The justification for the agent's confidence score.
        confidence_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence Score
          description: >-
            The confidence score of the result on a scale of 0-100, where 0
            indicates no confidence in the accuracy of the result and 100
            indicates full confidence in the accuracy of the result.
        error_code:
          anyOf:
            - type: string
              enum:
                - duplicate
                - insufficient
                - invalid_file_type
                - irrelevant
                - processing_error
                - upload_missing
              x-speakeasy-enum-format: union
            - type: 'null'
          title: Error Code
          description: The code for why an error occurred when processing the statement.
        uncertainties:
          items:
            type: string
          type: array
          title: Uncertainties
          description: A list of uncertainties we have regarding the result.
      type: object
      title: AgentMetrics
      description: The AI agent's confidence metrics
    InteractionType:
      type: string
      enum:
        - payment_inquiry
        - payment_promise
        - account_inquiry
        - invoice_inquiry
        - refund_request
        - cancellation_request
        - support_request
        - complaint
        - feedback
        - wrong_contact
        - message_forwarding_request
        - cc_inclusion_request
        - not_available
        - contact_inquiry
        - dispute
        - resolution
        - delivery_failure
        - payment_processing_request
        - other
      title: InteractionType
      description: >-
        Enumerates the possible classifications for an interaction (email or
        call).
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````